package sim.app.species.ANN;

class InputNeuron extends Neuron{

	private double input;

	public InputNeuron(Soma s, Axon[] in, Axon[] out){
		super(s, in, out);
		this.soma.setActive(true);
	}

	public void setInput(double in){
		this.input = in;
	}

	public void fire(){

		this.soma.input = this.input;
		this.soma.activate();

		for(int i = 0; i < this.outgoingAxons.length; i++){
			this.outgoingAxons[i].input = this.soma.output;
		}

	}

}
