package sim.app.species.ANN;

import java.util.StringTokenizer;

class SomaGene extends Gene{

	public static final int BIAS = 0;
	public static final int INPUT = 1;
	public static final int HIDDEN = 2;
	public static final int OUTPUT = 3;
	
	private int type;
	
	public SomaGene(int id, int type){
		super(id);
		this.type = type;
	}

	public static SomaGene makeGeneFromString(String str){

		StringTokenizer tokenizer = new StringTokenizer(str);
		int i, t;

		tokenizer.nextToken();
		i = Integer.parseInt(tokenizer.nextToken());

		tokenizer.nextToken();
		t = Integer.parseInt(tokenizer.nextToken());

		return new SomaGene(i, t);

	}

	public int getType(){
		return this.type;
	}

	public String toString(){

		return "ID: " + this.getID() + " Type: " + this.type;

	}

}
