package sim.app.species;

import sim.engine.*;

public abstract class EntityCreator implements Steppable{

	// spawn points
	protected SpawnPoint[] spawnPoints;

	// the time between adding new entities
	protected int spawnInterval;
	protected int timeSinceLastSpawn;

	public EntityCreator(int interval, SpawnPoint[] spoints){

		this.spawnInterval = interval;
		this.timeSinceLastSpawn = 0;

		this.spawnPoints = spoints;

	}

	public void step(SimState state){

		this.timeSinceLastSpawn++;

	}

}
